Index: /branches/SHM-dev/source/Lib/TLibCommon/TComInterpolationFilter.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComInterpolationFilter.cpp	(revision 1304)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComInterpolationFilter.cpp	(revision 1305)
@@ -337,4 +337,5 @@
  * \param  isLast     Flag indicating whether it is the last filtering operation
  * \param  fmt        Chroma format
+ * \param  bitDepth   Bit depth
  */
 Void TComInterpolationFilter::filterHor(const ComponentID compID, Pel *src, Int srcStride, Pel *dst, Int dstStride, Int width, Int height, Int frac, Bool isLast, const ChromaFormat fmt, const Int bitDepth )
@@ -372,4 +373,5 @@
  * \param  isLast     Flag indicating whether it is the last filtering operation
  * \param  fmt        Chroma format
+ * \param  bitDepth   Bit depth
  */
 Void TComInterpolationFilter::filterVer(const ComponentID compID, Pel *src, Int srcStride, Pel *dst, Int dstStride, Int width, Int height, Int frac, Bool isFirst, Bool isLast, const ChromaFormat fmt, const Int bitDepth )
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComLoopFilter.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComLoopFilter.cpp	(revision 1304)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComLoopFilter.cpp	(revision 1305)
@@ -847,4 +847,5 @@
  \param bFilterSecondP  decision weak filter/no filter for partP
  \param bFilterSecondQ  decision weak filter/no filter for partQ
+ \param bitDepthLuma    luma bit depth
 */
 __inline Void TComLoopFilter::xPelFilterLuma( Pel* piSrc, Int iOffset, Int tc, Bool sw, Bool bPartPNoFilter, Bool bPartQNoFilter, Int iThrCut, Bool bFilterSecondP, Bool bFilterSecondQ, const Int bitDepthLuma)
@@ -917,4 +918,5 @@
  \param bPartPNoFilter  indicator to disable filtering on partP
  \param bPartQNoFilter  indicator to disable filtering on partQ
+ \param bitDepthChroma  chroma bit depth
  */
 __inline Void TComLoopFilter::xPelFilterChroma( Pel* piSrc, Int iOffset, Int tc, Bool bPartPNoFilter, Bool bPartQNoFilter, const Int bitDepthChroma)
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComPattern.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComPattern.cpp	(revision 1304)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComPattern.cpp	(revision 1305)
@@ -75,4 +75,5 @@
  \param  iRoiHeight    pattern height
  \param  iStride       buffer stride
+ \param  bitDepth      bit depth
  */
 Void TComPatternParam::setPatternParamPel ( Pel* piTexture,
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.cpp	(revision 1304)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.cpp	(revision 1305)
@@ -76,17 +76,22 @@
 }
 
-Void TComPicYuv::create ( const Int iPicWidth,
-                          const Int iPicHeight,
-                          const ChromaFormat chromaFormatIDC,
-                          const UInt uiMaxCUWidth,  ///< used for generating offsets to CUs. Can use iPicWidth if no offsets are required
-                          const UInt uiMaxCUHeight, ///< used for generating offsets to CUs. Can use iPicHeight if no offsets are required
-                          const UInt uiMaxCUDepth,  ///< used for generating offsets to CUs. Can use 0 if no offsets are required
+
+
+
+Void TComPicYuv::create ( const Int iPicWidth,                ///< picture width
+                          const Int iPicHeight,               ///< picture height
+                          const ChromaFormat chromaFormatIDC, ///< chroma format
+                          const UInt uiMaxCUWidth,            ///< used for generating offsets to CUs. Can use iPicWidth if no offsets are required
+                          const UInt uiMaxCUHeight,           ///< used for generating offsets to CUs. Can use iPicHeight if no offsets are required
+                          const UInt uiMaxCUDepth,            ///< used for generating offsets to CUs. Can use 0 if no offsets are required
 #if SVC_EXTENSION
                           const Bool bUseMargin,     ///< if true, then a margin of uiMaxCUWidth+16 and uiMaxCUHeight+16 is created around the image.
                           const Window* conformanceWindow)
 #else
-                          const Bool bUseMargin)    ///< if true, then a margin of uiMaxCUWidth+16 and uiMaxCUHeight+16 is created around the image.
+                          const Bool bUseMargin)              ///< if true, then a margin of uiMaxCUWidth+16 and uiMaxCUHeight+16 is created around the image.
 #endif
-{
+
+{
+
 #if SVC_EXTENSION
   if(conformanceWindow != NULL)
@@ -99,5 +104,5 @@
   m_iPicHeight        = iPicHeight;
   m_chromaFormatIDC   = chromaFormatIDC;
-  m_iMarginX          = (bUseMargin?uiMaxCUWidth:0) + 16; // for 16-byte alignment
+  m_iMarginX          = (bUseMargin?uiMaxCUWidth:0) + 16;   // for 16-byte alignment
   m_iMarginY          = (bUseMargin?uiMaxCUHeight:0) + 16;  // margin for 8-tap filter and infinite padding
   m_bIsBorderExtended = false;
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1304)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1305)
@@ -686,13 +686,14 @@
  * \brief Generate motion-compensated block
  *
- * \param compID   Colour component ID
- * \param cu       Pointer to current CU
- * \param refPic   Pointer to reference picture
- * \param partAddr Address of block within CU
- * \param mv       Motion vector
- * \param width    Width of block
- * \param height   Height of block
- * \param dstPic   Pointer to destination picture
- * \param bi       Flag indicating whether bipred is used
+ * \param compID     Colour component ID
+ * \param cu         Pointer to current CU
+ * \param refPic     Pointer to reference picture
+ * \param partAddr   Address of block within CU
+ * \param mv         Motion vector
+ * \param width      Width of block
+ * \param height     Height of block
+ * \param dstPic     Pointer to destination picture
+ * \param bi         Flag indicating whether bipred is used
+ * \param  bitDepth  Bit depth
  */
 
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComTrQuant.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComTrQuant.cpp	(revision 1304)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComTrQuant.cpp	(revision 1305)
@@ -1961,5 +1961,5 @@
 
 /** Wrapper function between HM interface and core NxN forward transform (2D)
- *  \param compID colour component ID
+ *  \param channelBitDepth bit depth of channel
  *  \param useDST
  *  \param piBlkResi input data (residual)
@@ -1968,4 +1968,5 @@
  *  \param iWidth transform width
  *  \param iHeight transform height
+ *  \param maxLog2TrDynamicRange
  */
 Void TComTrQuant::xT( const Int channelBitDepth, Bool useDST, Pel* piBlkResi, UInt uiStride, TCoeff* psCoeff, Int iWidth, Int iHeight, const Int maxLog2TrDynamicRange )
@@ -1996,5 +1997,5 @@
 
 /** Wrapper function between HM interface and core NxN inverse transform (2D)
- *  \param compID colour component ID
+ *  \param channelBitDepth bit depth of channel
  *  \param useDST
  *  \param plCoef input data (transform coefficients)
@@ -2003,4 +2004,5 @@
  *  \param iWidth transform width
  *  \param iHeight transform height
+ *  \param maxLog2TrDynamicRange
  */
 Void TComTrQuant::xIT( const Int channelBitDepth, Bool useDST, TCoeff* plCoef, Pel* pResidual, UInt uiStride, Int iWidth, Int iHeight, const Int maxLog2TrDynamicRange )
@@ -2845,39 +2847,25 @@
 
 /** Get the best level in RD sense
- * \param rd64CodedCost reference to coded cost
- * \param rd64CodedCost0 reference to cost when coefficient is 0
- * \param rd64CodedCostSig reference to cost of significant coefficient
- * \param lLevelDouble reference to unscaled quantized level
- * \param uiMaxAbsLevel scaled quantized level
- * \param ui16CtxNumSig current ctxInc for coeff_abs_significant_flag
- * \param ui16CtxNumOne current ctxInc for coeff_abs_level_greater1 (1st bin of coeff_abs_level_minus1 in AVC)
- * \param ui16CtxNumAbs current ctxInc for coeff_abs_level_greater2 (remaining bins of coeff_abs_level_minus1 in AVC)
- * \param ui16AbsGoRice current Rice parameter for coeff_abs_level_minus3
- * \param c1Idx
- * \param c2Idx
- * \param iQBits quantization step size
- * \param errorScale
- * \param bLast indicates if the coefficient is the last significant
- * \param useLimitedPrefixLength
- * \param channelType  texture channel type (luma/chroma)
+ *
  * \returns best quantized transform level for given scan position
+ *
  * This method calculates the best quantized transform level for a given scan position.
  */
-__inline UInt TComTrQuant::xGetCodedLevel ( Double&          rd64CodedCost,
-                                            Double&          rd64CodedCost0,
-                                            Double&          rd64CodedCostSig,
-                                            Intermediate_Int lLevelDouble,
-                                            UInt             uiMaxAbsLevel,
-                                            UShort           ui16CtxNumSig,
-                                            UShort           ui16CtxNumOne,
-                                            UShort           ui16CtxNumAbs,
-                                            UShort           ui16AbsGoRice,
-                                            UInt             c1Idx,
-                                            UInt             c2Idx,
-                                            Int              iQBits,
-                                            Double           errorScale,
-                                            Bool             bLast,
-                                            Bool             useLimitedPrefixLength,
-                                            const Int        maxLog2TrDynamicRange
+__inline UInt TComTrQuant::xGetCodedLevel ( Double&          rd64CodedCost,          //< reference to coded cost
+                                            Double&          rd64CodedCost0,         //< reference to cost when coefficient is 0
+                                            Double&          rd64CodedCostSig,       //< rd64CodedCostSig reference to cost of significant coefficient
+                                            Intermediate_Int lLevelDouble,           //< reference to unscaled quantized level
+                                            UInt             uiMaxAbsLevel,          //< scaled quantized level
+                                            UShort           ui16CtxNumSig,          //< current ctxInc for coeff_abs_significant_flag
+                                            UShort           ui16CtxNumOne,          //< current ctxInc for coeff_abs_level_greater1 (1st bin of coeff_abs_level_minus1 in AVC)
+                                            UShort           ui16CtxNumAbs,          //< current ctxInc for coeff_abs_level_greater2 (remaining bins of coeff_abs_level_minus1 in AVC)
+                                            UShort           ui16AbsGoRice,          //< current Rice parameter for coeff_abs_level_minus3
+                                            UInt             c1Idx,                  //< 
+                                            UInt             c2Idx,                  //< 
+                                            Int              iQBits,                 //< quantization step size
+                                            Double           errorScale,             //< 
+                                            Bool             bLast,                  //< indicates if the coefficient is the last significant
+                                            Bool             useLimitedPrefixLength, //< 
+                                            const Int        maxLog2TrDynamicRange   //< 
                                             ) const
 {
@@ -2930,5 +2918,5 @@
  * \param c2Idx
  * \param useLimitedPrefixLength
- * \param channelType  texture channel type (luma/chroma)
+ * \param maxLog2TrDynamicRange
  * \returns cost of given absolute transform level
  */
@@ -3098,6 +3086,8 @@
 
 /** set quantized matrix coefficient for encode
- * \param scalingList quantized matrix address
- * \param format      chroma format
+ * \param scalingList            quantized matrix address
+ * \param format                 chroma format
+ * \param maxLog2TrDynamicRange
+ * \param bitDepths              reference to bit depth array for all channels
  */
 Void TComTrQuant::setScalingList(TComScalingList *scalingList, const ChromaFormat format, const Int maxLog2TrDynamicRange[MAX_NUM_CHANNEL_TYPE], const BitDepths &bitDepths)
@@ -3140,7 +3130,9 @@
 }
 /** set error scale coefficients
- * \param list List ID
- * \param size Size
- * \param qp   Quantization parameter
+ * \param list                   list ID
+ * \param size                   
+ * \param qp                     quantization parameter
+ * \param maxLog2TrDynamicRange
+ * \param bitDepths              reference to bit depth array for all channels
  */
 Void TComTrQuant::setErrScaleCoeff(UInt list, UInt size, Int qp, const Int maxLog2TrDynamicRange[MAX_NUM_CHANNEL_TYPE], const BitDepths &bitDepths)
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1304)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1305)
@@ -296,5 +296,5 @@
  * \param rParam                  reference to parameter
  * \param useLimitedPrefixLength
- * \param channelType
+ * \param maxLog2TrDynamicRange
  */
 #if RExt__DECODER_DEBUG_BIT_STATISTICS
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1304)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1305)
@@ -337,7 +337,7 @@
  * \param rParam                  reference to Rice parameter
  * \param useLimitedPrefixLength
- * \param channelType             plane type (luma/chroma)
- */
-Void TEncSbac::xWriteCoefRemainExGolomb ( UInt symbol, UInt &rParam, const Bool useLimitedPrefixLength, const ChannelType channelType, const Int maxLog2TrDynamicRange )
+ * \param maxLog2TrDynamicRange 
+ */
+Void TEncSbac::xWriteCoefRemainExGolomb ( UInt symbol, UInt &rParam, const Bool useLimitedPrefixLength, const Int maxLog2TrDynamicRange )
 {
   Int codeNumber  = (Int)symbol;
@@ -1507,5 +1507,5 @@
             const UInt escapeCodeValue = absCoeff[idx] - baseLevel;
 
-            xWriteCoefRemainExGolomb( escapeCodeValue, uiGoRiceParam, extendedPrecision, channelType, maxLog2TrDynamicRange );
+            xWriteCoefRemainExGolomb( escapeCodeValue, uiGoRiceParam, extendedPrecision, maxLog2TrDynamicRange );
 
             if (absCoeff[idx] > (3 << uiGoRiceParam))
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.h	(revision 1304)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.h	(revision 1305)
@@ -119,5 +119,5 @@
   Void  xWriteUnaryMaxSymbol ( UInt uiSymbol, ContextModel* pcSCModel, Int iOffset, UInt uiMaxSymbol );
   Void  xWriteEpExGolomb     ( UInt uiSymbol, UInt uiCount );
-  Void  xWriteCoefRemainExGolomb ( UInt symbol, UInt &rParam, const Bool useLimitedPrefixLength, const ChannelType channelType, const Int maxLog2TrDynamicRange );
+  Void  xWriteCoefRemainExGolomb ( UInt symbol, UInt &rParam, const Bool useLimitedPrefixLength, const Int maxLog2TrDynamicRange );
 
   Void  xCopyFrom            ( const TEncSbac* pSrc );
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 1304)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 1305)
@@ -1330,6 +1330,5 @@
  * \param [out] startCtuTsAddr
  * \param [out] boundingCtuTsAddr
- * \param [in] pcPic
- * \param encodingSlice Identifies, if the calling function is compressSlice() [false] or encodeSlice() [true]
+ * \param [in]  pcPic
 
  * Updates startCtuTsAddr, boundingCtuTsAddr with appropriate CTU address
